#ifndef WUSB32_H
#define WUSB32_H

#ifdef WUSB32_Exports
#define WUSB32_API __declspec(dllexport)
#else
#define WUSB32_API __declspec(dllimport)
#endif

extern "C"
 {

  WUSB32_API bool WINAPI AccessUSB(int DevNum);
  WUSB32_API bool WINAPI OpenUSB(int DevNum, DWORD baud);
  WUSB32_API bool WINAPI CloseUSB(void);
  WUSB32_API bool WINAPI PurgeUSB(void);
  WUSB32_API bool WINAPI RxFrameUSB(DWORD To, unsigned char &ADD,
             unsigned char &CMD, unsigned char &N, unsigned char *Data);
  WUSB32_API bool WINAPI TxFrameUSB(unsigned char ADDR, unsigned char CMD,
             unsigned char N, unsigned char *Data);
  WUSB32_API bool WINAPI NumUSB(DWORD &numDevs);
 }

#endif


 